MONGOC_COLLECTION_KEYS_TO_INDEX_STRING(3)

NAME
mongoc_collection_keys_to_index_string - mongoc_collection_keys_to_index_string()

SYNOPSIS

char *
mongoc_collection_keys_to_index_string (const bson_t *keys)
   BSON_GNUC_WARN_UNUSED_RESULT;

PARAMETERS

•   keys: A bson_t.

DESCRIPTION

This function returns the canonical stringification of a given key specification. See Creating Indexes.

It is a programming error to call this function on a non-standard index, such one other than a straight index with ascending and descending.

RETURNS

A string that should be freed with bson_free().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc